io.vertx.config.vault.client

## Class VaultException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - io.vertx.config.vault.client.VaultException

- All Implemented Interfaces:
    Serializable

      public class VaultException
      extends Exception

  Exception used when an interaction with Vault failed.
  Author:
    Clement Escoffier
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VaultException(String message)`
    `VaultException(String message, int code)`
    `VaultException(String message, Throwable cause)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getStatusCode()`
    `static <T> AsyncResult<T>` | `toFailure(String message)`
    `static <T> AsyncResult<T>` | `toFailure(String status, int code, String body)`
    `static <T> AsyncResult<T>` | `toFailure(String message, Throwable cause)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VaultException

          public VaultException(String message)

    - #### VaultException

          public VaultException(String message,
                                int code)

    - #### VaultException

          public VaultException(String message,
                                Throwable cause)

  - ### Method Detail

    - #### toFailure

          public static <T> AsyncResult<T> toFailure(String message,
                                                     Throwable cause)

    - #### toFailure

          public static <T> AsyncResult<T> toFailure(String status,
                                                     int code,
                                                     String body)

    - #### toFailure

          public static <T> AsyncResult<T> toFailure(String message)

    - #### getStatusCode

          public int getStatusCode()

Copyright © 2017. All rights reserved.